Skip to main content
GET
Get Project Schedule

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
Minimum string length: 1
schedule_id
string<uuid>
required

Response

Project schedule

id
string<uuid>
required
project_id
string<uuid>
required
name
string
required
status
enum<string>
required
Available options:
active,
paused,
deleting
target
object
required
schedule
string
required
timezone
string
required
runtime_target_kind
enum<string>
required
Available options:
main_branch,
environment,
preview_branch
runtime_target_environment_id
string<uuid> | null
required
runtime_target_branch_id
string<uuid> | null
required
config
object
required
timeout_seconds
integer
required
backoff_limit
integer
required
concurrency_policy
string
required
definition_source
enum<string>
required
Available options:
manual,
source
source_trigger_id
string | null
required
source_path
string | null
required
source_hash
string | null
required
last_scheduled_at
string | null
required
last_successful_at
string | null
required
health
object | null
required

Structured health details associated with this record.

max_runs
integer | null
required
Required range: x > 0
run_count
integer
required
Required range: x >= 0
completed_at
string | null
required
paused_reason
string | null
required
paused_at
string | null
required
last_failure_at
string | null
required
last_failure_code
string | null
required
last_failure_message
string | null
required
last_failure_run_id
string<uuid> | null
required
created_by
string<uuid> | null
required
created_at
string
required
updated_at
string
required
integration_requirements
object[]

List of integration requirements associated with this record.

Maximum array length: 20